<?php


namespace App\Repositories;


use App\Models\Product;

class ProductsRepository implements ProductsRepositoryInterface
{
    public function create($data)
    {
        return Product::create($data);
    }

    public function paginate(array $filters)
    {
        $query = Product::query();
        if(isset($filters['search'])){
            $search = ucfirst($filters['search']);
            $query->where('name', 'like', "${search}%");
        }

        return $query->paginate($filters['limit']);
    }

    public function fillProductsInfo(array $products)
    {
        foreach ($products as $k => $product){
            $products[$k]['product'] = Product::find($product['id']);
        }

        return $products;
    }
}
