<?php

namespace App\Repositories;

use App\Models\User;
use Illuminate\Database\Eloquent\Collection;

interface UsersRepositoryInterface
{
    public function getAll();

    public function paginate($chunkSize);

    public function create($data);

    public function delete($id);

    public function getById($userId);

    public function getWhereEquals($field, $actual);

    public function saveRecipe(int $userID, int $recipeID);

    public function getRecipeHistory(int $userID, string $groupBy);
}
